%
%  Matlab demo of detect_blobs and draw_blobs
%

im = im2double(imread('testim.ppm'));

figure(1);clf
subplot(2,2,1);
image(im);axis image
title('Input image');
drawnow

p.dmax=0.16;   % Colour distance for grouping
p.cmin=0.4;    % Area fraction for propagating to a coarser pyramid level
p.amin=30;     % Min number of pixels in an extracted region
p.lowsc=1;     % Finest scale to detect blobs in (1..N)

[mvec,pvec,Lim] = detect_blobs(im, p.dmax,p.cmin,p.amin, p.lowsc);

green_colour = [0 1 0]; % Background colour for ellipse rendering

[Bim,Sim] = draw_blobs(Lim,mvec,pvec,green_colour);

subplot(2,2,2)
image(Bim);axis image
title('Detected blobs')

subplot(2,2,3)
image(Sim);axis image
title('Regions in label image')

